首页 新闻 搜索 专区 学院

calico 升级至 3.23 遇到问题:"spec.preserveUnknownFields: Invalid value: true"

0
悬赏园豆:30 [已解决问题] 解决于 2022-05-13 12:31

准备将 k8s 网络组件 calico 从 3.22 升级至 3.23,在部署新版清单文件时报错

for: "calico.yaml": CustomResourceDefinition.apiextensions.k8s.io "ipamblocks.crd.projectcalico.org" is invalid: spec.preserveUnknownFields: Invalid value: true: must be false in order to use defaults in the schema

请问如何解决?

dudu的主页 dudu | 高人七级 | 园豆:36444
提问于:2022-05-13 12:15
< >
分享
最佳答案
0

CRD fails to apply on upgrade - preserveUnknownFields must be false in order to use defaults 的 issue 回复中找到了解决方法

报错的清单部分添加 preserveUnknownFields: false

dudu | 高人七级 |园豆:36444 | 2022-05-13 12:31
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册